Bug 31784 - ucc-image-set-join-information doesn't accept password as an argument
ucc-image-set-join-information doesn't accept password as an argument
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: General
unspecified
Other Linux
: P5 minor
: UCC 2.0
Assigned To: Felix Botner
Erik Damrose
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 16:40 CEST by Jan Christoph Ebersbach
Modified: 2014-06-12 09:19 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
Add password parameter (1.20 KB, patch)
2013-06-20 16:40 CEST, Jan Christoph Ebersbach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Christoph Ebersbach univentionstaff 2013-06-20 16:40:06 CEST
Created attachment 5285 [details]
Add password parameter

ucc-image-set-join-information should take the password as an argument to support the completely non-interactive definition of join information.

+++ This bug was initially created as a clone of Bug #30601 +++

There is a bug in parsing the arguments of ucc-image-set-join-information.  The help information suggests -u and -d parameters but the getopts string isn't set properly.  -u is not interpreted at all and -d doesn't accept another argument.  It should be "i:u:d:h" but it is something like "i:dh".
Comment 1 Felix Botner univentionstaff 2014-04-07 12:50:21 CEST
done
Comment 2 Erik Damrose univentionstaff 2014-04-08 16:42:08 CEST
OK: password parameter is present and working
OK: changelog
Verified
Comment 3 Moritz Muehlenhoff univentionstaff 2014-06-12 09:19:38 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".